python-opencv_2.4.9.1+dfsg-1.5ubuntu1_amd64.deb


Advertisement

Description

python-opencv - Python bindings for the computer vision library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-opencv
Package version 2.4.9.1+dfsg
Package release 1.5ubuntu1
Package architecture amd64
Package type deb
Installed size 1.32 KB
Download size 303.14 KB
Official Mirror archive.ubuntu.com
This package contains Python bindings for the OpenCV (Open Computer Vision)
library.
The Open Computer Vision Library is a collection of algorithms and sample
code for various computer vision problems. The library is compatible with
IPL (Intel's Image Processing Library) and, if available, can use IPP
(Intel's Integrated Performance Primitives) for better performance.
OpenCV provides low level portable data types and operators, and a set
of high level functionalities for video acquisition, image processing and
analysis, structural analysis, motion analysis and object tracking, object
recognition, camera calibration and 3D reconstruction.

Alternatives

Package Version Architecture Repository
python-opencv_2.4.9.1+dfsg-1.5ubuntu1_i386.deb 2.4.9.1+dfsg i386 Ubuntu Universe
python-opencv - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libopencv-calib3d2.4v5 -
libopencv-contrib2.4v5 -
libopencv-core2.4v5 -
libopencv-features2d2.4v5 -
libopencv-flann2.4v5 -
libopencv-highgui2.4v5 -
libopencv-imgproc2.4v5 -
libopencv-legacy2.4v5 -
libopencv-ml2.4v5 -
libopencv-objdetect2.4v5 -
libopencv-photo2.4v5 -
libopencv-video2.4v5 -
libpython2.7 >= 2.7
libstdc++6 >= 5.2
python << 2.8
python >= 2.7~
python-numpy >= 1:1.6.1
python-numpy-abi9 -
python:any >= 2.7.5-5~

Provides

Name Value
python2.7-opencv -

Conflicts

Name Value
python2.3-opencv <= 0.9.7-3

Replaces

Name Value
python2.3-opencv <= 0.9.7-3

Download

Type URL
Binary Package python-opencv_2.4.9.1+dfsg-1.5ubuntu1_amd64.deb
Source Package opencv

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-opencv deb package:
    # sudo apt-get install python-opencv

Files

Path
/usr/lib/python2.7/dist-packages/cv.py
/usr/lib/python2.7/dist-packages/cv2.x86_64-linux-gnu.so
/usr/share/doc/python-opencv/changelog.Debian.gz
/usr/share/doc/python-opencv/copyright

Changelog

2016-04-08 - Logan Rosen <logan@ubuntu.com>
opencv (2.4.9.1+dfsg-1.5ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
- debian/rules: Don't build OpenGL on armhf since it's not useful there.
2016-04-07 - Tobias Frost <tobi@debian.org>
opencv (2.4.9.1+dfsg-1.5) unstable; urgency=medium
* Non-maintainer upload.
* Do not use precompiled headers (Closes: #818450)
2016-03-06 - Sebastian Ramacher <sramacher@debian.org>
opencv (2.4.9.1+dfsg-1.4) unstable; urgency=medium
* Non-maintainer upload.
[ Andreas Cadhalpun ]
* Fix build with ffmpeg 3.0. (Closes: #803847)
2016-02-11 - Steve Langasek <steve.langasek@ubuntu.com>
opencv (2.4.9.1+dfsg-1.3ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- In debian/rules don't build OpenGL on armhf; not useful there
2016-02-08 - John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
opencv (2.4.9.1+dfsg-1.3) UNRELEASED; urgency=medium
* Non-maintainer upload.
* Refresh debian/patches:
- Update change_type_from_int_to_Atomic_word to fix
FTBFS on sparc64. (Closes: #714923)
- Re-add fix_without_sysctl.patch to fix FTBFS on x32. (Closes: #792264)
2015-11-01 - Steve Langasek <steve.langasek@ubuntu.com>
opencv (2.4.9.1+dfsg-1.2ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- In debian/rules don't build OpenGL on armhf; not useful there
* Dropped changes:
- re-enable precompiled headers on arm64.  According to the changelog
this was meant to have been done in version 2.4.9+dfsg-1ubuntu4 in
utopic, but we were still disabling them in debian/rules.
- opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1); the
difference in versions no longer matters for upgrades from trusty
(unaffected) or precise (matches Debian breaks).
- drop buggy self build-dependency on libopencv-ml-dev.
- add libopencv-ocl-dev to libcv-dev depends: dropped, no rationale was
given for this divergence from Debian.
* Dropped changes, included in Debian:
- Build-depend on libtbb-dev on ppc64el.
- Rename library packages for g++5 ABI transition.
2015-08-19 - Simon McVittie <smcv@debian.org>
opencv (2.4.9.1+dfsg-1.2) unstable; urgency=medium
* Non-maintainer upload.
* Rename library packages for g++5 ABI transition.
Patch provided by Matthias Klose. (Closes: #791226)
* Remove Lintian overrides from Matthias' patch, current Lintian accepts
v5 package names as-is.
* Build-depend on the version of openexr that started its transition.
* Add patch to stop checking the version of sphinx-build (which makes
no difference anyway), fixing arch-indep build (#792715; not closing
that bug here because it is unclear whether it is considered to be a
sphinx bug).
* Deliberately not addressing #794856 in this upload, since it requires
repacking the orig.tar and is not a regression.
2015-05-15 - Sebastian Ramacher <sramacher@debian.org>
opencv (2.4.9.1+dfsg-1.1) unstable; urgency=medium
* Non-maintainer upload.
[ Bernhard √úbelacker ]
* Build with -march=i586 instead of -march=i686 on i386. (Closes: #784647)
2014-09-19 - Nobuhiro Iwamatsu <iwamatsu@debian.org>
opencv (2.4.9.1+dfsg-1) unstable; urgency=medium
* New upstream release.
* Add support ppc64el. (Closes: #754094)
2015-08-06 - Steve Langasek <steve.langasek@ubuntu.com>
opencv (2.4.9+dfsg-1ubuntu6) wily; urgency=medium
* Fix up various package interdependencies for the binary renames.

See Also

Package Description
python-opengl_3.0.2-1_all.deb Python bindings to OpenGL (Python 2)
python-opengm-doc_2.3.6-2_all.deb documentation for the Python interface to OpenGM
python-opengm_2.3.6-2_amd64.deb Python interface to OpenGM
python-openimageio_1.6.11~dfsg0-1ubuntu1_amd64.deb Library for reading and writing images - Python bindings
python-openopt_0.38+svn1589-1.1_all.deb Python module for numerical optimization
python-openpyxl_2.3.0-1_all.deb module to read/write OpenXML xlsx/xlsm files
python-openscap_1.2.8-1_amd64.deb Set of libraries enabling integration of the SCAP line of standards
python-openslide-examples_1.1.0-3build1_all.deb Python examples for python-openslide and python3-openslide
python-openslide_1.1.0-3build1_amd64.deb Python 2 wrapper for reading whole slide image files
python-openstack-compute_2.0a1-0ubuntu3_amd64.deb Python bindings for the Rasckspace Cloud Servers API
python-openstack-doc-tools_0.31.0-4_all.deb tools used by the OpenStack Documentation project - Python 2.7
python-openstack.nose-plugin_0.11-2_all.deb nosetests output to mimic the output of openstack's run_tests.py - Python 2.x
python-openstackdocstheme-doc_1.2.5+dfsg1-1_all.deb extension support for Sphin OpenStack doc - doc
python-openstackdocstheme_1.2.5+dfsg1-1_all.deb extension support for Sphin OpenStack docs - Python 2.7
python-openturns-dev_1.5-7build2_all.deb Python front-end of OpenTURNS (transitional package)
Advertisement
Advertisement